/*
 *  RPGeneration - A role playing utility generate interesting things
 *  Copyright (C) 2002 Devon D Jones
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  The author of this program grants you the ability to use this code
 *  in conjunction with code that is covered under the Open Gaming License
 *
 * saveFileFilter.java
 *
 * Created on November 14, 2002, 5:40 PM
 */

package org.evilsoft.gaming.RPGeneration;

import java.io.File;

/**
 *
 * @author  devon
 */
public class SaveFileFilter extends javax.swing.filechooser.FileFilter {
    
    /** Creates a new instance of saveFileFilter */
    public SaveFileFilter() {
    }
    
    public boolean accept(File file) {
        if(!file.isDirectory()) {
          String name =  file.getName();
          if(name.endsWith(".html")) {
              return name.endsWith(".html");
          }
          return name.endsWith(".htm");
        }
        return true;
    }
    
    public String getDescription() {
        return "HTML File (*.html, *.htm)";
    }
}
